//
//  ViewController.swift
//  WCDemo
//
//  Created by Felix Lisczyk on 17.04.16.
//  Copyright © 2016 Felix Lisczyk. All rights reserved.
//

import UIKit
import WatchConnectivity

class ViewController: UIViewController {
    
    private var counter = 0

    @IBOutlet weak var counterLabel: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @IBAction func incrementCounter(sender: UIButton) {
        guard WCSession.isSupported() else {
            return
        }
        
        let session = WCSession.defaultSession()
        
        guard session.activationState == .Activated else {
            return
        }
        guard session.paired && session.watchAppInstalled else {
            return
        }
        
        session.transferUserInfo(["IncrementWithDate" : NSDate()])
        
        counter = counter + 1
        counterLabel.text = String(counter)
    }

}

